import { bodyFont, typeRampBaseFontSize, typeRampBaseLineHeight, typeRampMinus1FontSize, typeRampMinus1LineHeight, typeRampMinus2FontSize, typeRampMinus2LineHeight, typeRampPlus1FontSize, typeRampPlus1LineHeight, typeRampPlus2FontSize, typeRampPlus2LineHeight, typeRampPlus3FontSize, typeRampPlus3LineHeight, typeRampPlus4FontSize, typeRampPlus4LineHeight, typeRampPlus5FontSize, typeRampPlus5LineHeight, typeRampPlus6FontSize, typeRampPlus6LineHeight, } from '@microsoft/fast-components';
import { html, ref } from '@microsoft/fast-element';
export const TypographyTemplate = html `
  <table ${ref('provider')} style="font-family: ${() => bodyFont.createCSS()}">
    <colgroup>
      <col style="width: 15%;" />
      <col style="width: 30%;" />
      <col style="width: 30%;" />
      <col style="width: 5%;" />
      <col style="width: 20%;" />
    </colgroup>
    <thead>
      <tr>
        <th>Level</th>
        <th>Token</th>
        <th>CSS Custom Property</th>
        <th>Adjusted</th>
        <th>Preview</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>Minus 2 (smallest)</td>
        <td>
          typeRampMinus2FontSize
          <br />
          typeRampMinus2LineHeight
        </td>
        <td>
          ${() => typeRampMinus2FontSize.cssCustomProperty}
          <br />
          ${() => typeRampMinus2LineHeight.cssCustomProperty}
        </td>
        <td>
          ${(x) => typeRampMinus2FontSize.getValueFor(x.provider)}
          <br />
          ${(x) => typeRampMinus2LineHeight.getValueFor(x.provider)}
        </td>
        <td
          style="font-size: ${() => typeRampMinus2FontSize.createCSS()}; line-height: ${() => typeRampMinus2LineHeight.createCSS()};"
        >
          The quick brown fox jumps over a lazy dog
        </td>
      </tr>
      <tr>
        <td>Minus 1</td>
        <td>
          typeRampMinus1FontSize
          <br />
          typeRampMinus1LineHeight
        </td>
        <td>
          ${() => typeRampMinus1FontSize.cssCustomProperty}
          <br />
          ${() => typeRampMinus1LineHeight.cssCustomProperty}
        </td>
        <td>
          ${(x) => typeRampMinus1FontSize.getValueFor(x.provider)}
          <br />
          ${(x) => typeRampMinus1LineHeight.getValueFor(x.provider)}
        </td>
        <td
          style="font-size: ${() => typeRampMinus1FontSize.createCSS()}; line-height: ${() => typeRampMinus1LineHeight.createCSS()};"
        >
          The quick brown fox jumps over a lazy dog
        </td>
      </tr>
      <tr>
        <td>Base (body)</td>
        <td>
          typeRampBaseFontSize
          <br />
          typeRampBaseLineHeight
        </td>
        <td>
          ${() => typeRampBaseFontSize.cssCustomProperty}
          <br />
          ${() => typeRampBaseLineHeight.cssCustomProperty}
        </td>
        <td>
          ${(x) => typeRampBaseFontSize.getValueFor(x.provider)}
          <br />
          ${(x) => typeRampBaseLineHeight.getValueFor(x.provider)}
        </td>
        <td
          style="font-size: ${() => typeRampBaseFontSize.createCSS()}; line-height: ${() => typeRampBaseLineHeight.createCSS()};"
        >
          The quick brown fox jumps over a lazy dog
        </td>
      </tr>
      <tr>
        <td>Plus 1</td>
        <td>
          typeRampPlus1FontSize
          <br />
          typeRampPlus1LineHeight
        </td>
        <td>
          ${() => typeRampPlus1FontSize.cssCustomProperty}
          <br />
          ${() => typeRampPlus1LineHeight.cssCustomProperty}
        </td>
        <td>
          ${(x) => typeRampPlus1FontSize.getValueFor(x.provider)}
          <br />
          ${(x) => typeRampPlus1LineHeight.getValueFor(x.provider)}
        </td>
        <td
          style="font-size: ${() => typeRampPlus1FontSize.createCSS()}; line-height: ${() => typeRampPlus1LineHeight.createCSS()};"
        >
          The quick brown fox jumps over a lazy dog
        </td>
      </tr>
      <tr>
        <td>Plus 2</td>
        <td>
          typeRampPlus2FontSize
          <br />
          typeRampPlus2LineHeight
        </td>
        <td>
          ${() => typeRampPlus2FontSize.cssCustomProperty}
          <br />
          ${() => typeRampPlus2LineHeight.cssCustomProperty}
        </td>
        <td>
          ${(x) => typeRampPlus2FontSize.getValueFor(x.provider)}
          <br />
          ${(x) => typeRampPlus2LineHeight.getValueFor(x.provider)}
        </td>
        <td
          style="font-size: ${() => typeRampPlus2FontSize.createCSS()}; line-height: ${() => typeRampPlus2LineHeight.createCSS()};"
        >
          The quick brown fox jumps over a lazy dog
        </td>
      </tr>
      <tr>
        <td>Plus 3</td>
        <td>
          typeRampPlus3FontSize
          <br />
          typeRampPlus3LineHeight
        </td>
        <td>
          ${() => typeRampPlus3FontSize.cssCustomProperty}
          <br />
          ${() => typeRampPlus3LineHeight.cssCustomProperty}
        </td>
        <td>
          ${(x) => typeRampPlus3FontSize.getValueFor(x.provider)}
          <br />
          ${(x) => typeRampPlus3LineHeight.getValueFor(x.provider)}
        </td>
        <td
          style="font-size: ${() => typeRampPlus3FontSize.createCSS()}; line-height: ${() => typeRampPlus3LineHeight.createCSS()};"
        >
          The quick brown fox jumps over a lazy dog
        </td>
      </tr>
      <tr>
        <td>Plus 4</td>
        <td>
          typeRampPlus4FontSize
          <br />
          typeRampPlus4LineHeight
        </td>
        <td>
          ${() => typeRampPlus4FontSize.cssCustomProperty}
          <br />
          ${() => typeRampPlus4LineHeight.cssCustomProperty}
        </td>
        <td>
          ${(x) => typeRampPlus4FontSize.getValueFor(x.provider)}
          <br />
          ${(x) => typeRampPlus4LineHeight.getValueFor(x.provider)}
        </td>
        <td
          style="font-size: ${() => typeRampPlus4FontSize.createCSS()}; line-height: ${() => typeRampPlus4LineHeight.createCSS()};"
        >
          The quick brown fox jumps over a lazy dog
        </td>
      </tr>
      <tr>
        <td>Plus 5</td>
        <td>
          typeRampPlus5FontSize
          <br />
          typeRampPlus5LineHeight
        </td>
        <td>
          ${() => typeRampPlus5FontSize.cssCustomProperty}
          <br />
          ${() => typeRampPlus5LineHeight.cssCustomProperty}
        </td>
        <td>
          ${(x) => typeRampPlus5FontSize.getValueFor(x.provider)}
          <br />
          ${(x) => typeRampPlus5LineHeight.getValueFor(x.provider)}
        </td>
        <td
          style="font-size: ${() => typeRampPlus5FontSize.createCSS()}; line-height: ${() => typeRampPlus5LineHeight.createCSS()};"
        >
          The quick brown fox jumps over a lazy dog
        </td>
      </tr>
      <tr>
        <td>Plus 6 (largest)</td>
        <td>
          typeRampPlus6FontSize
          <br />
          typeRampPlus6LineHeight
        </td>
        <td>
          ${() => typeRampPlus6FontSize.cssCustomProperty}
          <br />
          ${() => typeRampPlus6LineHeight.cssCustomProperty}
        </td>
        <td>
          ${(x) => typeRampPlus6FontSize.getValueFor(x.provider)}
          <br />
          ${(x) => typeRampPlus6LineHeight.getValueFor(x.provider)}
        </td>
        <td
          style="font-size: ${() => typeRampPlus6FontSize.createCSS()}; line-height: ${() => typeRampPlus6LineHeight.createCSS()};"
        >
          The quick brown fox jumps over a lazy dog
        </td>
      </tr>
    </tbody>
  </table>
`;
